VULKAN_HPP_NAMESPACE::extendCheck< List, X > Struct Template Reference

`#include <vulkan.hpp>`

## Static Public Attributes

static const bool | valid = isStructureChainValid<typename List::last, X>::value || extendCheck<typename List::list,X>::valid

## Detailed Description

### template<typename List, typename X>
struct VULKAN_HPP_NAMESPACE::extendCheck< List, X >

Definition at line 493 of file vulkan.hpp.

## Field Documentation

## valid

template<typename List , typename X >

const bool VULKAN_HPP_NAMESPACE::extendCheck< List, X >::valid = isStructureChainValid<typename List::last, X>::value || extendCheck<typename List::list,X>::valid

static

Definition at line 495 of file vulkan.hpp.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp